Arch Remove/ja: Difference between revisions

From FreeCAD Documentation
(Created page with "==スクリプト処理==")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]}}

<div class="mw-translate-fuzzy">
{{GuiCommand/jp|Name=Arch Remove|Workbenches=[[Arch Module/jp|建築]]|MenuLocation=Arch -> Remove|SeeAlso=[[Arch Add/jp|Arch Add]]}}
{{GuiCommand/jp|Name=Arch Remove|Workbenches=[[Arch Module/jp|建築]]|MenuLocation=Arch -> Remove|SeeAlso=[[Arch Add/jp|Arch Add]]}}
</div>


==説明==
==説明==
Line 8: Line 12:
* [[Part Module/jp|シェイプ]]ベースのオブジェクトを[[Arch Wall/jp|壁]]や[[Arch Structure/jp|骨組み]]といった Archコンポーネントから減算します。
* [[Part Module/jp|シェイプ]]ベースのオブジェクトを[[Arch Wall/jp|壁]]や[[Arch Structure/jp|骨組み]]といった Archコンポーネントから減算します。


The counterpart of this tool is the [[Arch Add]] tool.
[[Image:Arch Remove example.jpg|600px]]


[[Image:Arch Remove example.jpg|600px]]
<div class="mw-translate-fuzzy">
上の図では壁から直方体を減算しています
上の図では壁から直方体を減算しています
</div>


==使用方法==
==使用方法==


<div class="mw-translate-fuzzy">
* Archオブジェクト内のサブコンポーネントを選択してください。'''あるいは'''
* Archオブジェクト内のサブコンポーネントを選択してください。'''あるいは'''
* 減算されるオブジェクト(複数可)を選択してからそれらを減算するArchコンポーネントを選択してください(Archコンポーネントは最後に選択しなければなりません)
* 減算されるオブジェクト(複数可)を選択してからそれらを減算するArchコンポーネントを選択してください(Archコンポーネントは最後に選択しなければなりません)
* [[Image:Arch Remove.png|16px]] '''Remove'''ボタンを押してください
* [[Image:Arch Remove.png|16px]] '''Remove'''ボタンを押してください
</div>


Or
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Press the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Remove]]}} button.

<div class="mw-translate-fuzzy">
==スクリプト処理==
==スクリプト処理==
</div>

The Remove tool can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
removeComponents(objectsList, host=None)
}}

* Removes the given objects in {{incode|objectsList}} from their parents.
* If a {{incode|host}} object is specified, this function will try adding the objects in {{incode|objectsList}} as holes to the {{incode|host}}.


The Remove tool can by used in [[macros]] and from the python console by using the following function:
'''removeComponents (objectsList,[hostObject])'''
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
Example:
Example:
{{Code|code=
{{Code|code=
import FreeCAD, Arch, Draft, Part
import FreeCAD, Draft, Arch

line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
wall = Arch.makeWall(line)
Wall = Arch.makeWall(Line, width=150, height=3000)
box = Part.makeBox(1,1,1)

Arch.addComponents(box,wall)
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Arch.removeComponents(box)
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
}}
}}
{{docnav|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]}}


<div class="mw-translate-fuzzy">
[[Category:Arch]]
[[Category:Arch]]
</div>

Revision as of 12:52, 5 February 2019

説明

Removeツールは2種類の操作を提供します:

  • Archオブジェクトからサブコンポーネントを取り除きます。例えばArch Addの例のような壁に追加されていた直方体を壁から取り除きます。
  • シェイプベースのオブジェクトを骨組みといった Archコンポーネントから減算します。

The counterpart of this tool is the Arch Add tool.

上の図では壁から直方体を減算しています

使用方法

  • Archオブジェクト内のサブコンポーネントを選択してください。あるいは
  • 減算されるオブジェクト(複数可)を選択してからそれらを減算するArchコンポーネントを選択してください(Archコンポーネントは最後に選択しなければなりません)
  • Removeボタンを押してください

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Remove button.

スクリプト処理

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()